<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Quotations</title>
</head>
<body>

  <h1>Quotations</h1>

  <!-- Search Form -->
  <%= form_tag(quotations_path, method: 'get') do %>
    <%= text_field_tag(:query) %>
    <%= submit_tag("Search") %>
  <% end %>

  <!-- List of Quotations -->
  <ul>
    <% @quotations.each do |quotation| %>
      <li>
        <%= h quotation.author_name %> : <%= h quotation.category %> : <%= h quotation.quote %>
        <%= link_to 'Click for Destroy', edit_quotation_path(quotation), notice: 'Quotation was successfully deleted.' %>
      </li>
    <% end %>
  </ul>

  <!-- New Quotation Link -->
  <%= link_to 'New quotation', new_quotation_path %>



  <!-- Sort Links -->
  <br/>
  <% if params[:sort_by] == "date" %>
    <%= link_to "Sort by category", :action => :quotations, :sort_by => :category %>
  <% else %>
    <%= link_to "Sort by date", :action => :quotations, :sort_by => :date %>
  <% end %>

  <hr/>
  

</body>
</html>
